# openforcefield.typing.engines.smirnoff.parameters.BondHandler.BondType

class `openforcefield.typing.engines.smirnoff.parameters.BondHandler.``BondType`(**kwargs)

  A SMIRNOFF bond type

  Warning

  This API is experimental and subject to change.

  Attributes
    smirks

  Methods

  `to_dict`([return_cosmetic_attributes]) | Convert this ParameterType-derived object to dict.

  `__init__`(**kwargs)

    Create a ParameterType

    Parameters
      smirks str

        The SMIRKS match for the provided parameter type.

      permit_cosmetic_attributes bool optional. Default = False

        Whether to store non-spec kwargs as “cosmetic attributes”, which can be accessed and written out.

  Methods

  `__init__`(**kwargs) | Create a ParameterType
  `to_dict`([return_cosmetic_attributes]) | Convert this ParameterType-derived object to dict.

  Attributes

  `smirks` |

  `to_dict`(return_cosmetic_attributes=False)

    Convert this ParameterType-derived object to dict. A unit-bearing attribute (‘X’) will be converted to two dict entries, one ([‘X’] containing the unitless value, and another ([‘X_unit’]) containing a string representation of its unit.

    Parameters
      return_cosmetic_attributes bool, optional. default = False

        Whether to return non-spec attributes of this ParameterType

    Returns
      smirnoff_dict dict

        The SMIRNOFF-compliant dict representation of this ParameterType-derived object.

      output_units dict[str: simtk.unit.Unit]

        A mapping from each simtk.unit.Quanitity-valued ParameterType attribute to the unit it was converted to during serialization.